summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-17 09:49:11 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-17 09:49:11 -0500
commit84b120a57fd378584de559413c6f921d937cee52 (patch)
treed3898098b3ae0cdc18e49350eafaf15c8abee6c6
parent1385f50eb6ff04e2ec0f53901940e32cfcc41595 (diff)
downloadabslibre-84b120a57fd378584de559413c6f921d937cee52.tar.gz
abslibre-84b120a57fd378584de559413c6f921d937cee52.tar.bz2
abslibre-84b120a57fd378584de559413c6f921d937cee52.zip
cronjobs: add new package to [pcr]
-rw-r--r--pcr/cronjobs/PKGBUILD33
-rwxr-xr-xpcr/cronjobs/logrotate28
-rwxr-xr-xpcr/cronjobs/man-db39
-rwxr-xr-xpcr/cronjobs/shadow6
-rwxr-xr-xpcr/cronjobs/sysstat5
-rwxr-xr-xpcr/cronjobs/update-db6
6 files changed, 117 insertions, 0 deletions
diff --git a/pcr/cronjobs/PKGBUILD b/pcr/cronjobs/PKGBUILD
new file mode 100644
index 000000000..60955d5b8
--- /dev/null
+++ b/pcr/cronjobs/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer (Manjaro): artoo <artoo@manjaro.org>
+# Contributor (Manjaro): williamh <williamh@gentoo.org>
+# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+
+pkgname=cronjobs
+pkgver=20160402
+pkgrel=1
+pkgdesc="System cron jobs"
+arch=('any')
+groups=('openrc-base')
+url="https://github.com/manjaro/packages-openrc"
+license=('GPL')
+depends=('cron')
+source=('logrotate'
+ 'shadow'
+ 'update-db'
+ 'man-db'
+ 'sysstat')
+sha256sums=('929b49a7383bb35db51ff625e622304e4e00b131886058e64d298b11cad19301'
+ '1ba552869f2d45f14730079eca75ef4e316cceb58a1b0ab2cfce22e5b1f0dbc0'
+ '9f0c18a683f0dbeeae3f673bc3b2dbe1b54173da1589598672f254eb7a708f1e'
+ '1369e71764fcf32a9ca4b07cd37433d16aceae3a95e359289334135a11a2770d'
+ '8357a3307f2db5c2c956e1ad77ef21e70763e9ae9d2e63c2f806f0f1c10226bd')
+
+pkgver() {
+ date +%Y%m%d
+}
+
+
+package() {
+ install -d $pkgdir/etc/cron.daily
+ install $srcdir/{logrotate,shadow,update-db,man-db,sysstat} $pkgdir/etc/cron.daily
+}
diff --git a/pcr/cronjobs/logrotate b/pcr/cronjobs/logrotate
new file mode 100755
index 000000000..11fe09c52
--- /dev/null
+++ b/pcr/cronjobs/logrotate
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# nicenesses range from -20 (most favorable scheduling) to 19 (least favorable)
+NICE=19
+
+# 0 for none, 1 for real time, 2 for best-effort, 3 for idle
+IONICE_CLASS=2
+
+# 0-7 (for IONICE_CLASS 1 and 2 only), 0=highest, 7=lowest
+IONICE_PRIORITY=7
+
+CMD_LOGROTATE="/usr/bin/logrotate /etc/logrotate.conf"
+
+if [ -x /usr/bin/nice ]; then
+ CMD_LOGROTATE="/usr/bin/nice -n ${NICE:-19} ${CMD_LOGROTATE}"
+fi
+
+if [ -x /usr/bin/ionice ]; then
+ IONICE_CMD="/usr/bin/ionice -c ${IONICE_CLASS:-2}"
+ if [ $IONICE_CLASS -ne 3 ]; then
+ IONICE_CMD="${IONICE_CMD} -n ${IONICE_PRIORITY:-7}"
+ fi
+ CMD_LOGROTATE="${IONICE_CMD} ${CMD_LOGROTATE}"
+fi
+
+${CMD_LOGROTATE}
+
+exit 0
diff --git a/pcr/cronjobs/man-db b/pcr/cronjobs/man-db
new file mode 100755
index 000000000..9b4abd894
--- /dev/null
+++ b/pcr/cronjobs/man-db
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# nicenesses range from -20 (most favorable scheduling) to 19 (least favorable)
+NICE=19
+
+# 0 for none, 1 for real time, 2 for best-effort, 3 for idle
+IONICE_CLASS=2
+
+# 0-7 (for IONICE_CLASS 1 and 2 only), 0=highest, 7=lowest
+IONICE_PRIORITY=7
+
+UPDATEMANDB="/usr/bin/mandb --quiet"
+
+# Update the "whatis" database
+#/usr/bin/makewhatis -u -w
+
+# taken from Debian
+# man-db cron daily
+set -e
+
+if ! [ -d /var/cache/man ]; then
+ # Recover from deletion, per FHS.
+ mkdir -p /var/cache/man
+ chmod 755 /var/cache/man
+fi
+
+# regenerate man database
+
+if [ -x /usr/bin/nice ]; then
+ UPDATEMANDB="/usr/bin/nice -n ${NICE:-19} ${UPDATEMANDB}"
+fi
+
+if [ -x /usr/bin/ionice ]; then
+ UPDATEMANDB="/usr/bin/ionice -c ${IONICE_CLASS:-2} -n ${IONICE_PRIORITY:-7} ${UPDATEMANDB}"
+fi
+
+${UPDATEMANDB}
+
+exit 0
diff --git a/pcr/cronjobs/shadow b/pcr/cronjobs/shadow
new file mode 100755
index 000000000..1373ecde9
--- /dev/null
+++ b/pcr/cronjobs/shadow
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# Verify integrity of password and group files
+/usr/bin/pwck -r
+/usr/bin/grpck -r
+
diff --git a/pcr/cronjobs/sysstat b/pcr/cronjobs/sysstat
new file mode 100755
index 000000000..5501e1fb9
--- /dev/null
+++ b/pcr/cronjobs/sysstat
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Generate a daily summary of process accounting. Since this will probably
+# get kicked off in the morning, it would probably be better to run against
+# the previous days data.
+/usr/lib/sa/sa2 -A &
diff --git a/pcr/cronjobs/update-db b/pcr/cronjobs/update-db
new file mode 100755
index 000000000..431cb533e
--- /dev/null
+++ b/pcr/cronjobs/update-db
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+NICE='nice -n 19'
+IONICE='ionice -c 2 -n 7'
+
+exec ${IONICE} ${NICE} updatedb -f proc